Subject: Re: local printing

From: [email-masked] (Matt Messina)
Date: 10 Feb 95 23:03:11 GMT

Craig S. Barnhill <[email-masked]> wrote:
>I'm looking for a way to print to a local printer from a unix
>workstation (via LPTx) and over a modem.  The Pine ansi-print
>works great but I want something for the command line.

I think this only works on text files, but there is a file called
`ansiprt.c' that comes with the pine source at: 

  ftp.cac.washington.edu:/pine/pine.tar.Z

Get that file, uncompress and untar it (do it on a temp drive or check 
your disk quota first).  Then you'll find ansiprt.c in:

  ./pine3.91/contrib/utils/ansiprt.c

(assuming you're currently in the directory you untar'd from).

Compile it, and then delete everything else.  It will print what it gets 
on standard input on your attached-to-ansi printer.

  % ansiprt < file.to.print

To be able to use command line arguments (e.g. `ansiprt file.to.print'), 
in csh:

  % alias ansiprt 'cat \!* | \ansiprt'

(Followups directed to comp.mail.pine)
-- 
Matt Messina
[email-masked]